Skip to main content
GET
/
auth
/
credentials
cURL
curl --request GET \
  --url https://api.lightspark.com/grid/2025-10-13/auth/credentials \
  --header 'Authorization: Basic <encoded-value>'
{ "data": [ { "id": "AuthMethod:019542f5-b3e7-1d02-0000-000000000001", "accountId": "InternalAccount:019542f5-b3e7-1d02-0000-000000000002", "type": "EMAIL_OTP", "nickname": "example@lightspark.com", "createdAt": "2026-04-08T15:30:01Z", "updatedAt": "2026-04-08T15:30:01Z" }, { "id": "AuthMethod:019542f5-b3e7-1d02-0000-000000000003", "accountId": "InternalAccount:019542f5-b3e7-1d02-0000-000000000002", "type": "PASSKEY", "nickname": "iPhone Face-ID", "createdAt": "2026-04-09T10:15:00Z", "updatedAt": "2026-04-09T10:15:00Z" } ] }

Authorizations

Authorization
string
header
required

API token authentication using format <api token id>:<api client secret>

Query Parameters

accountId
string
required

Internal account id whose authentication credentials to list.

Response

Authentication credentials registered on the internal account. Returns an empty data array when the internal account has no credentials or when accountId does not match any internal account visible to the caller.

data
object[]
required

List of authentication credentials registered on the internal account.